<!DOCTYPE html>  
<html lang="en">  
<head>  
<meta charset="UTF-8">  
<meta name="viewport" content="width=device-width, initial-scale=1.0">  
<title>日期设置</title>  
<style>  
    body {  
        font-family: Arial, sans-serif;  
        display: flex;  
        flex-direction: column;  
        align-items: center;  
        justify-content: center;  
        height: 100vh;  
        margin: 0;  
        background-color: #191919; /* 设置深灰色背景 */  
        overflow: hidden; /* 隐藏滚动条 */  
    }  
      
    .screen {  
        display: flex;  
        flex-direction: column;  
        align-items: center;  
        justify-content: center;  
        background-color: #283E3E; /* 设置深绿色背景 */  
        border: 2px solid #558B2F; /* 设置边框，模拟电子屏幕效果 */  
        width: 300px; /* 设置电子屏幕宽度 */  
        height: 300px; /* 设置电子屏幕高度 */  
        padding: 20px; /* 内边距，使内容不与边框贴得太近 */  
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.5); /* 添加阴影效果 */  
        position: relative; /* 使绝对定位的子元素能相对于此元素定位 */  
    }  
      
    h1 {  
        text-align: center;  
        color: #FFF; /* 设置文本颜色为白色 */  
    }  
      
    form {  
        text-align: center;  
    }  
      
    label {  
        display: block;  
        color: #FFF; /* 设置标签文本颜色为白色 */  
        margin-bottom: 5px;  
    }  
      
    input[type="number"] {  
        width: 50px;  
        color: #FFF; /* 设置输入框文本颜色为白色 */  
        background-color: #333; /* 设置输入框背景色为深灰色 */  
        border: none; /* 移除边框 */  
        padding: 5px; /* 内边距 */  
    }  
      
    button {  
        color: #FFF; /* 设置按钮文本颜色为白色 */  
        background-color: #283E3E; /* 设置按钮背景色为深绿色 */  
        border: none; /* 移除边框 */  
        padding: 5px 10px; /* 内边距 */  
        cursor: pointer; /* 鼠标悬停时变为手形图标 */  
    }  
      
    #dateOutput {  
        color: #FFF; /* 设置输出文本颜色为白色 */  
        text-align: center;  
        margin-top: 10px; /* 输出和表单之间添加一些间距 */  
    }  
      
    /* 添加全屏覆盖的深绿色层，模拟电子屏幕效果 */  
    .overlay {  
        position: absolute;  
        top: 0;  
        left: 0;  
        width: 100%;  
        height: 100%;  
        background-color: rgba(0, 0, 0, 0.5); /* 半透明黑色背景 */  
        z-index: -1; /* 使其位于.screen之下 */  
    }  
</style>  

<style>  
    .hidden {  
        display: none;  
    }  
</style>



</head> 









<body>  
    <div class="screen">  
        <div class="overlay"></div> <!-- 添加全屏覆盖层 -->  
        <h1> 设置哈巴马出生日期</h1>  
        <form id="dateForm">  
            <label for="year">年份:</label>  
            <input type="number" id="year" min="1900" max="2100" required>  
              
            <label for="month">月份:</label>  
            <input type="number" id="month" min="1" max="12" required>  
              
            <label for="day">日期:</label>  
            <input type="number" id="day" min="1" max="31" required>  
              
            <button type="submit">确定</button>  
        </form>  


        <button id="continueButton" class="hidden">继续</button>  
  
        <script>  
            document.getElementById('dateForm').addEventListener('submit', function(event) {  
                // 阻止表单默认的提交行为  
                event.preventDefault();  
          
                // 隐藏确定按钮  
                var submitButton = document.querySelector('#dateForm button[type="submit"]');  
                submitButton.style.display = 'none';  
          
                // 显示继续按钮  
                var continueButton = document.getElementById('continueButton');  
                continueButton.classList.remove('hidden');  
          
                // 这里可以添加处理表单数据的逻辑，比如验证日期或发送到服务器  
          
                // 假设表单验证通过，绑定继续按钮的点击事件  
                continueButton.addEventListener('click', function() {  
                    // 跳转到第三个页面  
                    window.location.href = '03.html';  
                });  
            });  
        </script>
        


  
        <div id="dateOutput"></div>  
  
    <script>  
        document.getElementById('dateForm').addEventListener('submit', function(event) {  
            event.preventDefault();  
              
            var year = document.getElementById('year').value;  
            var month = document.getElementById('month').value;  
            var day = document.getElementById('day').value;  
              
            var output = document.getElementById('dateOutput');  
            output.innerHTML = '您设置的日期是: ' + year + '年' + month + '月' + day + '日'; 
        });  
    </script>  


</body>  

</html>